> For the complete documentation index, see [llms.txt](https://docs.rpcfast.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rpcfast.com/rpc-fast-saas-solana/sending-transactions/solana-trader-api/websocket-endpoints.md).

# bloXroute: Websocket Endpoints

### Subscribe to recently used tip amounts

This subscription provides you with percentiles for recently used tips.

{% hint style="warning" %}
Please note that using a suggested tip amount does not guarantee your transaction will be included in the next block.
{% endhint %}

**Example request**

```
wscat --header "X-TOKEN: your_token" \
	-c wss://solana-rpc.rpcfast.net/ws/trader \
	--wait 1000000 \
  --execute '{"jsonrpc": "2.0", "id": 1, "method": "subscribe", "params": ["GetBundleTipStream", {}]}'
```

**Request format**

```
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "subscribe",
  "params": ["GetBundleTipStream", {}]
}
```

**Response format**

```
{
	"jsonrpc": "2.0",
	"method": "subscribe",
	"params": {
		"subscription": "044d3209-0dd6-4a72-acee-9f80a19b48a1",
		"result": {
			"timestamp": null,
			"percentile25": 1.91875e-06,
			"percentile50": 1e-05,
			"percentile75": 3.719075e-05,
			"percentile95": 0.00099338365,
			"percentile99": 0.013046900000000005,
			"emaPercentile50": 1.0000062827311115e-05
		}
	}
}
```

**Event result format**

| **Field**         | **Type** | **Description**                                                           |
| ----------------- | -------- | ------------------------------------------------------------------------- |
| `timestamp`       | string   | The timestamp when the sample was taken                                   |
| `percentile25`    | uint64   | How much tip was paid at the 25th percentile                              |
| `percentile50`    | uint64   | How much tip was paid at the 50th percentile                              |
| `percentile75`    | uint64   | How much tip was paid at the 75th percentile                              |
| `percentile95`    | uint64   | How much tip was paid at the 95th percentile                              |
| `percentile99`    | uint64   | How much tip was paid at the 99th percentile                              |
| `emaPercentile50` | uint64   | The 1-minute Exponential Moving Average (EMA) for the 50th percentile tip |

### Subscribe to transaction priority fee stream

This subscription provides you recent priority fee based on the project over the last 100 slots.

{% hint style="warning" %}
Please note that using a suggested priority fee does not guarantee your transaction will be included in the next block.
{% endhint %}

**Example request**

```
wscat --header "X-TOKEN: your_token" \
	-c wss://solana-rpc.rpcfast.net/ws/trader \
	--wait 1000000 \
  --execute '{"jsonrpc": "2.0", "id": 1, "method": "subscribe", "params": ["GetPriorityFeeStream", {}]}'
```

**Request format**

```
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "subscribe",
  "params": [
    "GetPriorityFeeStream",
    {
      "project": "P_RAYDIUM"
    }
  ]
}
```

**Extra parameters**

<table data-header-hidden><thead><tr><th></th><th width="102"></th><th></th><th></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Type</strong></td><td><strong>Description</strong></td><td>Allowed values</td><td>Optional</td></tr><tr><td><code>project</code></td><td>enum</td><td>Specify which project to fetch the recent priority fee for</td><td><code>"P_JUPITER"</code>,<code>"P_RAYDIUM"</code></td><td>no</td></tr><tr><td><code>percentile</code></td><td>double</td><td>Specify how much percentile of the previous <strong>100</strong> slot's priority fee. Use <code>90</code>, if you want the top 90% percentile. Default value is <code>55</code></td><td></td><td>yes</td></tr></tbody></table>

**Response format**

```
{
    "jsonrpc": "2.0",
    "method": "subscribe",
    "params": {
        "subscription": "f29bc4fa-1c0a-42e2-b9b0-1684e6fa8b63",
        "result": {
            "project": "P_JUPITER", 
            "percentile": 55, 
            "feeAtPercentile": "71428"
        }
    }
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rpcfast.com/rpc-fast-saas-solana/sending-transactions/solana-trader-api/websocket-endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
